/*******************************************************************************
*
* test program to demonstrate debug tools
*
*******************************************************************************/

/*------------------------------------------------------------------------------
| global include files 
------------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <omp.h>

int main(int argc,char *argv[])
{
  const int N=1000000;
  double x[N], y[N], z[N];
  int i;
  
  #pragma omp parallel sections private(i)
  {
    {
      printf("Task %d has to do init x\n", omp_get_thread_num());
      for(i=0; i<N; i++)
        x[i] = 0.;
    }
    #pragma omp section
    {
      printf("Task %d has to do init y\n", omp_get_thread_num());
      for(i=0; i<N; i++)
        y[i] = 0.;
    }
    #pragma omp section
    {
      printf("Task %d has to do init z\n", omp_get_thread_num());
      for(i=0; i<N; i++)
        z[i] = 0.;
    }
  }

  return 0;
}
